/**
 * DevExtreme (cjs/__internal/grids/grid_core/sticky_columns/dom.js)
 * Version: 24.2.1-alpha-24256-1935
 * Build date: Thu Sep 12 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.GridCoreStickyColumnsDom = void 0;
var _const = require("./const");
var _utils = require("./utils");
const addStickyColumnBorderLeftClass = ($cell, addWidgetPrefix) => {
    $cell.addClass(addWidgetPrefix(_const.CLASSES.stickyColumnBorderLeft))
};
const addStickyColumnBorderRightClass = ($cell, addWidgetPrefix) => {
    $cell.addClass(addWidgetPrefix(_const.CLASSES.stickyColumnBorderRight))
};
const addStickyColumnClass = ($cell, stickyColumn, addWidgetPrefix) => {
    const fixedPosition = (0, _utils.getColumnFixedPosition)(stickyColumn);
    switch (fixedPosition) {
        case _const.StickyPosition.Right:
            $cell.addClass(addWidgetPrefix(_const.CLASSES.stickyColumnRight));
            break;
        case _const.StickyPosition.Sticky:
            $cell.addClass(addWidgetPrefix(_const.CLASSES.stickyColumn));
            break;
        default:
            $cell.addClass(addWidgetPrefix(_const.CLASSES.stickyColumnLeft))
    }
};
const addFirstHeaderClass = ($cell, addWidgetPrefix) => {
    $cell.addClass(addWidgetPrefix(_const.CLASSES.firstHeader))
};
const addColumnNoBorderClass = ($cell, addWidgetPrefix) => {
    $cell.addClass(addWidgetPrefix(_const.CLASSES.columnNoBorder))
};
const toggleStickyColumnsClass = ($element, isStickyColumns, addWidgetPrefix) => {
    $element.toggleClass(addWidgetPrefix(_const.CLASSES.stickyColumns), isStickyColumns)
};
const GridCoreStickyColumnsDom = exports.GridCoreStickyColumnsDom = {
    addFirstHeaderClass: addFirstHeaderClass,
    addColumnNoBorderClass: addColumnNoBorderClass,
    addStickyColumnClass: addStickyColumnClass,
    addStickyColumnBorderLeftClass: addStickyColumnBorderLeftClass,
    addStickyColumnBorderRightClass: addStickyColumnBorderRightClass,
    toggleStickyColumnsClass: toggleStickyColumnsClass
};
