/**
 * DevExtreme (cjs/__internal/pager/info.js)
 * Version: 24.2.1-alpha-24256-1935
 * Build date: Thu Sep 12 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.PAGER_INFO_CLASS = exports.InfoText = void 0;
var _inferno = require("inferno");
var _inferno2 = require("@devextreme/runtime/inferno");
var _string = require("../../core/utils/string");
var _message = _interopRequireDefault(require("../../localization/message"));
var _pager_props = require("./common/pager_props");

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}
const PAGER_INFO_CLASS = exports.PAGER_INFO_CLASS = "dx-info";
const InfoTextDefaultProps = {
    pageCount: _pager_props.PagerDefaultProps.pageCount,
    pageIndex: _pager_props.PagerDefaultProps.pageIndex,
    totalCount: _pager_props.PagerDefaultProps.totalCount
};
class InfoText extends _inferno2.BaseInfernoComponent {
    constructor() {
        super(...arguments);
        this.state = {};
        this.refs = null;
        this.rootElementRef = (0, _inferno.createRef)()
    }
    getInfoText() {
        return this.props.infoText ?? _message.default.getFormatter("dxPager-infoText")()
    }
    getText() {
        const {
            pageCount: pageCount,
            pageIndex: pageIndex,
            totalCount: totalCount
        } = this.props;
        return (0, _string.format)(this.getInfoText(), (pageIndex + 1).toString(), null === pageCount || void 0 === pageCount ? void 0 : pageCount.toString(), null === totalCount || void 0 === totalCount ? void 0 : totalCount.toString())
    }
    render() {
        return (0, _inferno.createVNode)(1, "div", PAGER_INFO_CLASS, this.getText(), 0, null, null, this.props.rootElementRef)
    }
}
exports.InfoText = InfoText;
InfoText.defaultProps = InfoTextDefaultProps;
