/**
 * DevExtreme (esm/__internal/events/m_remove.js)
 * Version: 24.2.1-alpha-24256-1935
 * Build date: Thu Sep 12 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    beforeCleanData
} from "../../core/element_data";
import $ from "../../core/renderer";
import registerEvent from "../../events/core/event_registrator";
import eventsEngine from "../../events/core/events_engine";
export const removeEvent = "dxremove";
const eventPropName = "dxRemoveEvent";
beforeCleanData((elements => {
    elements = [].slice.call(elements);
    for (let i = 0; i < elements.length; i++) {
        const $element = $(elements[i]);
        if ($element.prop(eventPropName)) {
            $element[0][eventPropName] = null;
            eventsEngine.triggerHandler($element, "dxremove")
        }
    }
}));
registerEvent("dxremove", {
    noBubble: true,
    setup(element) {
        $(element).prop(eventPropName, true)
    }
});
