/**
 * DevExtreme (esm/__internal/ui/chat/chat_header.js)
 * Version: 24.2.1-alpha-24256-1935
 * Build date: Thu Sep 12 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import $ from "../../../core/renderer";
import DOMComponent from "../../core/widget/dom_component";
const CHAT_HEADER_CLASS = "dx-chat-header";
const CHAT_HEADER_TEXT_CLASS = "dx-chat-header-text";
class ChatHeader extends DOMComponent {
    _getDefaultOptions() {
        return _extends({}, super._getDefaultOptions(), {
            title: ""
        })
    }
    _init() {
        super._init();
        $(this.element()).addClass("dx-chat-header")
    }
    _initMarkup() {
        super._initMarkup();
        this._renderTextElement();
        this._updateText()
    }
    _renderTextElement() {
        this._$text = $("<div>").addClass("dx-chat-header-text").appendTo(this.element())
    }
    _updateText() {
        const {
            title: title
        } = this.option();
        this._$text.text(title)
    }
    _optionChanged(args) {
        const {
            name: name
        } = args;
        if ("title" === name) {
            this._updateText()
        } else {
            super._optionChanged(args)
        }
    }
}
export default ChatHeader;
