/**
 * DevExtreme (esm/__internal/ui/chat/chat_message_bubble.js)
 * Version: 24.2.1-alpha-24256-1935
 * Build date: Thu Sep 12 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import $ from "../../../core/renderer";
import Widget from "../../core/widget/widget";
const CHAT_MESSAGE_BUBBLE_CLASS = "dx-chat-message-bubble";
class MessageBubble extends Widget {
    _getDefaultOptions() {
        return _extends({}, super._getDefaultOptions(), {
            text: ""
        })
    }
    _initMarkup() {
        $(this.element()).addClass("dx-chat-message-bubble");
        super._initMarkup();
        this._updateText()
    }
    _updateText() {
        const {
            text: text = ""
        } = this.option();
        $(this.element()).text(text)
    }
    _optionChanged(args) {
        const {
            name: name
        } = args;
        if ("text" === name) {
            this._updateText()
        } else {
            super._optionChanged(args)
        }
    }
}
export default MessageBubble;
